<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroRecurringBuilder implements Builder {
	protected $type;

	public function build(): PagSeguroRecurring {

		$obj = new PagSeguroRecurring();
		$obj->setType( $this->type );
		return $obj;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type): PagSeguroRecurringBuilder {

		$this->type = $type;
		return $this;

	}

}

